Skip to content
Documentation
Explore guides

For administrators

Providers

List, create, show, update, and delete providers.

Contents

Before you start

Send Accept: application/json and Authorization: Bearer YOUR_TOKEN to https://{subdomain}.talentohq.com. See API for authentication.

Path and query identifiers are UUID strings.

Successful responses use 200. Validation failures use 422. Missing or invalid tokens, and records that cannot be found, use 401.

List all providers

GET /api/v3/providers

Parameter Type Description
name string Optional name filter.
provider_category_id string (UUID) Optional provider category id.

Results are paginated. Pass page to move through pages of 50 records.

Response 200

[
  {
    "id": "7b25791b-6e76-4bea-a821-46efde3869b3",
    "name": "Northwind",
    "legal_name": "Northwind SL",
    "id_legal": "B87654321",
    "email": "ops@northwind.test",
    "country_code": "es",
    "number": "P-20",
    "employee_id": "3ed57043-3894-43e9-a03b-69883506a3d6",
    "employee_name": "Employee name",
    "provider_category_id": "0f27fb66-20f6-4e9b-9d7f-664066c28f58",
    "provider_category_name": "Logistics"
  }
]

Create a provider

POST /api/v3/providers

Request

{
  "name": "Northwind",
  "legal_name": "Northwind SL",
  "id_legal": "B87654321",
  "email": "ops@northwind.test",
  "country_code": "es",
  "number": "P-20",
  "employee_id": "3ed57043-3894-43e9-a03b-69883506a3d6",
  "provider_category_id": "0f27fb66-20f6-4e9b-9d7f-664066c28f58"
}

Response 200

{
  "id": "7b25791b-6e76-4bea-a821-46efde3869b3",
  "name": "Northwind",
  "legal_name": "Northwind SL",
  "id_legal": "B87654321",
  "email": "ops@northwind.test",
  "country_code": "es",
  "number": "P-20",
  "employee_id": "3ed57043-3894-43e9-a03b-69883506a3d6",
  "employee_name": "Employee name",
  "provider_category_id": "0f27fb66-20f6-4e9b-9d7f-664066c28f58",
  "provider_category_name": "Logistics"
}

Show a provider

GET /api/v3/providers/{provider_id}

Parameter Type Description
provider_id string (UUID) Provider id.

Response 200

{
  "id": "7b25791b-6e76-4bea-a821-46efde3869b3",
  "name": "Northwind",
  "legal_name": "Northwind SL",
  "id_legal": "B87654321",
  "email": "ops@northwind.test",
  "country_code": "es",
  "number": "P-20",
  "employee_id": "3ed57043-3894-43e9-a03b-69883506a3d6",
  "employee_name": "Employee name",
  "provider_category_id": "0f27fb66-20f6-4e9b-9d7f-664066c28f58",
  "provider_category_name": "Logistics"
}

Update a provider

PUT /api/v3/providers/{provider_id}

Request

{
  "name": "Northwind updated",
  "email": "ops@northwind.test",
  "employee_id": "3ed57043-3894-43e9-a03b-69883506a3d6",
  "provider_category_id": "0f27fb66-20f6-4e9b-9d7f-664066c28f58"
}

Response 200

{
  "id": "7b25791b-6e76-4bea-a821-46efde3869b3",
  "name": "Northwind updated",
  "legal_name": "Northwind SL",
  "id_legal": "B87654321",
  "email": "ops@northwind.test",
  "country_code": "es",
  "number": "P-20",
  "employee_id": "3ed57043-3894-43e9-a03b-69883506a3d6",
  "employee_name": "Employee name",
  "provider_category_id": "0f27fb66-20f6-4e9b-9d7f-664066c28f58",
  "provider_category_name": "Logistics"
}

Delete a provider

DELETE /api/v3/providers/{provider_id}

Response 200

{}